import Vue from 'vue'
import Router from 'vue-router'

import layout from '@/view/layout'
import makeTable from '@/view/makeTable'
import accessories from '@/view/accessories/accessories'
import columns from '@/view/columns/columns'
import tableHead from '@/view/tableHead'
import navigationBar from '@/view/navigationBar'
import outlyingRow from '@/view/outlyingRow/outlyingRow'
import background from '@/view/background'
import combination from '@/view/combination/'
import archives from '@/view/archives/archives'


Vue.use(Router)

let _router = [
  { path: '/', component: layout, 
    children:[
      { path: '/makeTable', component:makeTable, desc: '制表'},
      { path: '/accessories', component:accessories, desc: '配件'},
      { path: '/columns', component:columns, desc: '分列'},
      { path: '/navigationBar', component:navigationBar, desc: '导航条'},
      { path: '/tableHead', component:tableHead, desc: '抬头'},
      { path: '/outlyingRow', component:outlyingRow , desc: '表外行'},
      { path: '/background', component:background, desc: '背景图'},
      { path: '/combination', component:combination, desc: '组合'},
      { path: '/archives', component:archives, desc: '档案' }
    ] 
  }
]


const router = new Router({
  linkActiveClass: 'active', //将激活的路由添加一个mui-active类名称
  mode: 'hash',
  routes: _router
})

export default router
